jQuery(document).ready(function($) {
    // Function to update the Buy with Prime button
    function updateBuyWithPrimeButton(newSku) {
        $('#amzn-buy-now').attr('data-sku', newSku); // Update the data-sku attribute with the new SKU
        $('#amzn-buy-now iframe').remove(); // Remove the existing iframe (if any)

        // Reload the Buy with Prime widget
        if (window.bwp) {
            window.bwp.updateWidget(newSku, 1, []);
        }
    }

    // Event listener for variation changes using 'found_variation'
    $('form.variations_form').on('found_variation', function(event, variation) {
        if (variation && variation.sku) {
            updateBuyWithPrimeButton(variation.sku);
        }
    });

    // Handler for when no variation is selected (reset)
    $('form.variations_form').on('reset_data', function() {
        updateBuyWithPrimeButton(''); // Reset the SKU in the Buy with Prime button, or set a default
    });
});
